<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – General Settings</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="general-settings">General Settings</h1>
<p>General Settings in Cacti consist of the following categories:</p>
<ul>
<li><strong>Log Settings</strong> - This is where you setup Cacti's logging</li>
<li><strong>Internationalization (i18n)</strong> - Settings around how Cacti handles languages other than English</li>
<li><strong>Other Settings</strong> - Other not object settings in Cacti</li>
<li><strong>Site Security</strong> - Web Site Security settings such as <code>Content-Security-Policy</code>, use of external JavaScript API's for plugins like Google Maps, forcing https, etc.</li>
<li><strong>Automation</strong> - Miscellaneous settings around Cacti's Automation</li>
<li><strong>Graph Template Defaults</strong> - Defaults for <strong>Graph Templates</strong></li>
</ul>
<p>Each of these settings will be documented below.</p>
<h2 id="log-settings">Log Settings</h2>
<p>Cacti has the ability to log at various levels for various files. It has the ability to log to both the standard cacti.log file, as well as sending some notifications to Syslog for forwarding to centralized logging servers. The image below show what this settings sub-tab section looks like:</p>
<p><img src="images/settings-general-log-settings.png" alt="Log Settings" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Log Destination</strong> - Where to place Cacti log output. Options include:</p>
<ul>
<li><strong>Logfile Only</strong> - Only send log data to the Cacti log file</li>
<li><strong>Logfile and Syslog</strong> - Send log data to both the Cacti log file and the System log facility</li>
<li><strong>Syslog Only</strong> - Send select log data to just the System log facility</li>
</ul>
<p>This setting is quite self explanatory, when it comes to what type of messages are sent to the System log facility, see the <code>Syslog/Eventlog Item Selection</code> section below.</p></li>
<li><p><strong>General Log Level</strong> - This is the level of logging that Cacti will use. Options include:</p>
<ul>
<li><strong>NONE</strong> - Don't perform any logging, not recommended.</li>
<li><strong>LOW</strong> - Statistics and Errors</li>
<li><strong>MEDIUM</strong> - Statistics, Errors and Results</li>
<li><strong>HIGH</strong> - Statistics, Errors, Results and Major I/O Events</li>
<li><strong>DEBUG</strong> - Statistics, Errors, Results, I/O and Program Flow</li>
<li><strong>DEVEL</strong> - Developer level messages, mainly <strong>SQL Queries</strong></li>
</ul>
<p>Select the log level that works best for your logging needs. Be advised that <strong>DEBUG</strong> generates a large amount of log data. <strong>DEVEL</strong> should only log <strong>SQL Queries</strong>.</p></li>
<li><p><strong>Log Input Validation Issues</strong> - This is a Developer option to log the use of request variables that have not been validated through Cacti's validation functions.</p></li>
<li><p><strong>Data Source Tracing</strong> - This is a debug options for logging of program flow around the creation of <strong>Data Sources</strong>.</p></li>
<li><p><strong>Selective File Debug</strong> - A Multi-select setting that allows you to place any Cacti file to be placed into debug mode. This prevents the cacti.log file from being flooded with messages as is common in a general debug context.</p></li>
<li><p><strong>Selective Plugin Debug</strong> - For Plugins, the same level of debug that is available for core Cacti files are available for Plugin files as well.</p></li>
<li><p><strong>Device Debug</strong> - This is a comma delimited list of Cacti <code>device_id</code> that debugging of <strong>Data Collection</strong> services will be enabled for.</p></li>
<li><p><strong>Syslog/Eventlog Item Selection</strong> - In order to not saturate the System logging facility, Cacti will only forward some events as defined by the various check-boxes.</p></li>
</ul>
<h2 id="internationalization-i18n">Internationalization (i18n)</h2>
<p>The image below shows system level Internationalization settings for Cacti, commonly referred to as i18n.</p>
<p><img src="images/settings-general-i18n.png" alt="Internationalization Settings" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Language Support</strong> - Whether or not to allow selecting other languages for Cacti</p></li>
<li><p><strong>Language</strong> - The default language to use at login time, or by default when the user has not specified a language.</p></li>
<li><p><strong>Auto Language Detection</strong> - Whether or not Cacti should read the language from the browser and use that language by default.</p></li>
<li><p><strong>Date Display Format</strong> - The default Date/Time display format.</p></li>
<li><p><strong>Date Separator</strong> - The default Data/Time separator character.</p></li>
</ul>
<h2 id="other-settings">Other Settings</h2>
<p>These are additional settings for Cacti that fall into various categories, but that done have enough entries to justify a separate section. The image below shows that sub-section.</p>
<p><img src="images/settings-general-other-settings.png" alt="Other Settings" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Has Graphs/Data Sources Checked</strong> - If from the Console, you enter a pages that has the various <strong>Has</strong> options, if checked here, the default will be to check that setting.</p></li>
<li><p><strong>RRDtool Version</strong> - Selecting the correct RRDtool Version will unlock features expected in modern graphing frameworks that leverage SVG (Canvas) rendering.</p></li>
<li><p><strong>Graph Permission Method</strong> - This defined if a user needs to have access to both a <strong>Device</strong> and <strong>Graph Template</strong> to view a <strong>Devices</strong> <strong>Graphs</strong>, otherwise known as <strong>Restrictive</strong> or that to view a <strong>Devices</strong> <strong>Graphs</strong> the user only needs either the <strong>Device</strong> or <strong>Graph Template</strong> permission.</p></li>
<li><p><strong>Graph/Data Source Creation Method</strong> - If you wish to only create <strong>Graphs</strong> from <strong>Graph Templates</strong> choose the <strong>Simple</strong> method. The <strong>Advanced</strong> method should only be used by people who wish to define individual <strong>Graphs</strong> with their own settings.</p></li>
<li><p><strong>Show Form/Setting Help Inline</strong> - If this option is checked, you will be able to read all form/setting help inline. Otherwise, you will receive a pop-up to access form help.</p></li>
<li><p><strong>Delete Verification</strong> - For simple object removal, things that can be removed by clicking and 'X' on the page, whether or not you wish to confirm those deletes.</p></li>
<li><p><strong>Data Source Preservation Preset</strong> - Whether or not you wish to preserve <strong>Data Sources</strong> by default, or remove them when deleting <strong>Graphs</strong>. In all cases, Cacti will not allow the removal of a <strong>Data Source</strong> if there are <strong>Graphs</strong> using the <strong>Data Source</strong>. However, some <strong>Data Sources</strong> are managed externally to Cacti, and removing those <strong>Data Sources</strong> by default may not be desired.</p></li>
<li><p><strong>Graph Auto Unlock</strong> - If when editing a Graph you wish to always unlock it by default, select this option. Not that this does have performance implications that may make the User Interface slower on vary large systems where devices have tens of thousands of <strong>Data Sources</strong>.</p></li>
<li><p><strong>Hide Cacti Dashboard</strong> - This is an option used by some plugin developers who replace the default Cacti <code>Console</code> with their own contents, for example the Intropage plugin.</p></li>
<li><p><strong>Enable Drag-N-Drop</strong> - Certain Cacti pages allow Drag-N-Drop. If you with to use it, check that option.</p></li>
</ul>
<h2 id="site-security">Site Security</h2>
<p>The image below shows Site Security settings for Cacti.</p>
<p><img src="images/settings-general-site-security.png" alt="Site Security" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Force Connections over HTTPS</strong> - Even if the web site allows http, redirect their browsers to HTTPS.</p></li>
<li><p><strong>Content-Security Allow Unsafe JavaScript eval() calls</strong> - Allow plugins to use the JavaScript <code>eval()</code> function call, which is historically unsafe. However, some older plugins require it.</p></li>
<li><p><strong>Content-Security Alternate Sources</strong> - If for some reason your Cacti site requires content from a CDN or a third party site, you can include a space delimited list of URLs that will be able to be traversed for Cacti content.</p></li>
</ul>
<h2 id="automation-settings">Automation Settings</h2>
<p>The image below shows general Automation Settings for Cacti.</p>
<p><img src="images/settings-general-automation.png" alt="Site Security" /></p>
<p>Those settings include:</p>
<ul>
<li><p><strong>Enable Automatic Graph Creation</strong> - If a Cacti <strong>Device</strong> has Non <strong>Data Query</strong> <strong>Graph Templates</strong> associated with it, create those <strong>Graphs</strong> automatically when adding a new <strong>Device</strong>. Additionally, if you have <strong>Graph Rules</strong> apply those at <strong>Device</strong> creation time and save time.</p></li>
<li><p><strong>Enable Automatic Tree Item Creation</strong> - If you have Cacti <strong>Tree Rules</strong> apply then at <strong>Device</strong> creation and save time.</p></li>
<li><p><strong>Automation Notification To Email</strong> - When Network Automation finishes, send a notification to this Email address.</p></li>
<li><p><strong>Automation Notification From Name</strong> - The <code>From Name</code> on the Automation Email.</p></li>
<li><p><strong>Automation From Email</strong> - The <code>From Email</code> such as <a href="mailto:noreply@cacti.net">noreply@cacti.net</a> that will be used for Automation notifications.</p></li>
</ul>
<h2 id="graph-template-defaults">Graph Template Defaults</h2>
<p>This is where Cacti obtains defaults for <strong>Graph Templates</strong>.</p>
<p><img src="images/settings-general-graph-template-defaults.png" alt="Graph Template Defaults" /></p>
<ul>
<li><p><strong>Graph Template Image Format</strong> - When creating a new <strong>Graph Template</strong> what <code>Image Format</code> should be used. There is either:</p>
<p><strong>SVG</strong> - Scalable Vector Graphs (preferred, though larger size) <strong>PNG</strong> - Petri Net Graphs (backup, smaller but loose resolution when scaled)</p></li>
<li><p><strong>Graph Template Height</strong> - The height in pixels of the Graph Canvas for new <strong>Graph Templates</strong></p></li>
<li><p><strong>Graph Template Width</strong> - The width in pixels of the Graph Canvas for new <strong>Graph Templates</strong></p></li>
</ul>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
